{% extends "default.html" %}

{% load static %}

{% block title %}Genes and Genomic Entities{% endblock %}

{% block content %}
  {% if tag_filter %}
    <ol class="breadcrumb add-top-margin">
      <li class="breadcrumb-item"><a href="?">Genes and Genomic Entities</a></li>
      <li class="breadcrumb-item active">{{ tag_filter }}</li>
    </ol>
  {% endif %}

  {% with entities|length as entities_length %}

  <h1 class="add-bottom-margin add-top-margin">
    {% if tag_filter %}
      <div class="text-muted normal add-label-margin"><span id="entities-filter-count" class="text-muted"></span>{{ entities_length }} genes and genomic entities tagged</div>
      “{{ tag_filter}}”
    {% else %}
        <span id="entities-filter-count" class="text-muted"></span>{{ entities_length }} genes and genomic entities
    {% endif %}
  </h1>
    <div class="row">
      <div class="col-md-9">
        <div data-module="filterable-list">
          <div class="card">
            <div class="card-header">
              Find a gene or genomic entity
            </div>
            <div class="card-body" data-module="filter-entities-type" data-count="{{ entities_length }}">
              <div class="add-bottom-margin">
                <label for="gene-filter">
                  <span class="fw-bold">Gene or Genomic Entity Name</span>
                  <br /><span class="text-muted normal">Enter a gene symbol, STR name, Region name, or the beginning of one, eg “CD” or “CD19”</span>
                </label><br />
                <div class="input-group">
                  <input id="gene-filter" type="text" autofocus class="form-control normal js-filter-list-input" placeholder="Filter genes and genomic entities">
                  <span class="input-group-text js-filter-list-count" data-singular="entity" data-plural="genes and genomic entities">
                    {{ entities_length }} genes and genomic entities
                  </span>
                </div>
                <div>
                    Show <label class="fw-bold" for="show_genes"><input type="checkbox" id="show_genes" name="show_genes" checked /> Genes</label>
                    <label class="fw-bold" for="show_strs"><input type="checkbox" id="show_strs" name="show_strs" checked /> STRS</label>
                    <label class="fw-bold" for="show_regions"><input type="checkbox" id="show_regions" name="show_regions" checked /> Regions</label>
                </div>
              </div>
              <hr />
              <ul id="entities-list" class="list-inline gene-filter-list js-filter-list">

              {% for type, entity, gene_symbol in entities %}
                {% if entity %}
                  <li class="list-inline-item" data-text="{{ entity }}" data-type="{{ type }}">
                      <a href="{% if gene_symbol %}{% url 'panels:entity_detail' gene_symbol %}{% else %}{% url 'panels:entity_detail' entity  %}{% endif %}{% if tag_filter %}?tag={{ tag_filter}}{% endif %}">
                          {{ entity }}
                      </a>
                  </li>
                {% endif %}
              {% endfor %}
              </ul>
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-3">
        {% if tags %}
        <h3 class="remove-top-margin normal add-bottom-margin">Tagged</h3>
        <ul class="list-inline">
          {% for tag in tags %}
              <li class="list-inline-item add-label-margin">
                <a href="?tag={{ tag }}">{{ tag }}</a>
              </li>
          {% endfor %}
        </ul>
        {% endif %}
      </div>
    </div>
  {% endwith %}
  {% endblock %}
